<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="org.eclipse.ui.commands">
      <category
            name="TDL"
            id="org.etsi.mts.tdl.tools.rt.ui.commands.category">
      </category>
      <command
            name="Translate TDL model"
            categoryId="org.etsi.mts.tdl.tools.rt.ui.commands.category"
            id="org.etsi.mts.tdl.tools.rt.ui.commands.translateCommand">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            commandId="org.etsi.mts.tdl.tools.rt.ui.commands.translateCommand"
            class="org.etsi.mts.tdl.tools.rt.ui.handlers.TranslationHandler">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
      <key
            commandId="org.etsi.mts.tdl.tools.rt.ui.commands.translateCommand"
            contextId="org.eclipse.ui.contexts.window"
            sequence="M1+6"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration">
      </key>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:org.eclipse.ui.main.menu?after=additions">
         <menu
               label="TDL"
               mnemonic="T"
               id="org.etsi.mts.tdl.tools.menus.TDLMenu">
            <command
                  commandId="org.etsi.mts.tdl.tools.rt.ui.commands.translateCommand"
                  mnemonic="T"
                  id="org.etsi.mts.tdl.tools.rt.ui.menus.translateCommand">
            </command>
         </menu>
      </menuContribution>
      <menuContribution
            locationURI="toolbar:org.eclipse.ui.main.toolbar?after=additions">
         <toolbar
               id="org.etsi.mts.tdl.tools.rt.ui.toolbars.translate">
            <command
                  commandId="org.etsi.mts.tdl.tools.rt.ui.commands.translateCommand"
                  icon="icons/TranslateIcon.png"
                  tooltip="Translate TDL Model"
                  id="org.etsi.mts.tdl.tools.rt.ui.toolbars.translateCommand">
            </command>
         </toolbar>
      </menuContribution>
   </extension>

</plugin>
